#include <ti/devices/msp432p4xx/driverlib/driverlib.h>
/* Standard Includes */
#include <stdint.h>
#include <stdbool.h>
#include "TLC5957.h"
#include "LED.h"

int GSdata[]={
              0x0000,0x0000,0x0000,   //D0 R,G,B
              0x0000,0x0000,0x0000,   //D1 R,G,B
              0x0000,0x0000,0x0000,   //D2 R,G,B
              0x0000,0x0000,0x0000,   //D3 R,G,B
              0x0000,0x0000,0x0000,   //D4 R,G,B
              0x0000,0x0000,0x0000,   //D5 R,G,B
              0x0000,0x0000,0x0000,   //D6 R,G,B
              0x0000,0x0000,0x0000,   //D7 R,G,B
              0x0000,0x0000,0x0000,   //D8 R,G,B
              0x0000,0x0000,0x0000,   //D9 R,G,B
              0x0000,0x0000,0x0000,   //D10 R,G,B
              0x0000,0x0000,0x0000,   //D11 R,G,B
              0x0000,0x0000,0x0000,   //D12 R,G,B
              0x0000,0x0000,0x0000,   //D13 R,G,B
              0x0000,0x0000,0x0000,   //D14 R,G,B
              0x0000,0x0000,0x0000,   //D15 R,G,B
};
//
int Grey[]=
{

};// Grey to PWM table

void LED_Set(int Num,int GS_Red,int GS_Green,int GS_Blue)// Set Num LED's GS
{
    GSdata[Num*3]=GS_Red;
    //GSdata[Num*3+1]=GS_Green;
    GSdata[Num*3+2]=GS_Blue;

    switch (Num)
    {
    case 0:
        GSdata[22]=GS_Green;break;
    case 1:
        GSdata[19]=GS_Green;break;
    case 2:
        GSdata[16]=GS_Green;break;
    case 3:
        GSdata[13]=GS_Green;break;
    case 4:
        GSdata[10]=GS_Green;break;
    case 5:
        GSdata[7]=GS_Green;break;
    case 6:
        GSdata[4]=GS_Green;break;
    case 7:
        GSdata[1]=GS_Green;break;
    case 8:
        GSdata[46]=GS_Green;break;
    case 9:
        GSdata[43]=GS_Green;break;
    case 10:
        GSdata[40]=GS_Green;break;
    case 11:
        GSdata[37]=GS_Green;break;
    case 12:
        GSdata[34]=GS_Green;break;
    case 13:
        GSdata[31]=GS_Green;break;
    case 14:
        GSdata[28]=GS_Green;break;
    case 15:
        GSdata[25]=GS_Green;break;
    }

    //WriteGSData_Poker(GSdata);
}

void Switch_Line(unsigned char i);
void Switch_Line_Off(unsigned char i);

void Gradient()
{

    int GSdataL1[]={
                    25,25,25,   //D0 R,G,B
                    25,25,25,   //D1 R,G,B
                    25,25,25,   //D2 R,G,B
                    25,25,25,   //D3 R,G,B
                    25,25,25,   //D4 R,G,B
                    25,25,25,   //D5 R,G,B
                    25,25,25,   //D6 R,G,B
                    25,25,25,   //D7 R,G,B
                    25,25,25,   //D8 R,G,B
                    25,25,25,   //D9 R,G,B
                    25,25,25,   //D10 R,G,B
                    25,25,25,   //D11 R,G,B
                    25,25,25,   //D12 R,G,B
                    25,25,25,   //D13 R,G,B
                    25,25,25,   //D14 R,G,B
                    25,25,25,   //D15 R,G,B
    };

    int GSdataL2[]={
                    50,50,50,   //D0 R,G,B
                    50,50,50,   //D1 R,G,B
                    50,50,50,   //D2 R,G,B
                    50,50,50,   //D3 R,G,B
                    50,50,50,   //D4 R,G,B
                    50,50,50,   //D5 R,G,B
                    50,50,50,   //D6 R,G,B
                    50,50,50,   //D7 R,G,B
                    50,50,50,   //D8 R,G,B
                    50,50,50,   //D9 R,G,B
                    50,50,50,   //D10 R,G,B
                    50,50,50,   //D11 R,G,B
                    50,50,50,   //D12 R,G,B
                    50,50,50,   //D13 R,G,B
                    50,50,50,   //D14 R,G,B
                    50,50,50,   //D15 R,G,B
    };

    int GSdataL3[]={
                    75,75,75,   //D0 R,G,B
                    75,75,75,   //D1 R,G,B
                    75,75,75,   //D2 R,G,B
                    75,75,75,   //D3 R,G,B
                    75,75,75,   //D4 R,G,B
                    75,75,75,   //D5 R,G,B
                    75,75,75,   //D6 R,G,B
                    75,75,75,   //D7 R,G,B
                    75,75,75,   //D8 R,G,B
                    75,75,75,   //D9 R,G,B
                    75,75,75,   //D10 R,G,B
                    75,75,75,   //D11 R,G,B
                    75,75,75,   //D12 R,G,B
                    75,75,75,   //D13 R,G,B
                    75,75,75,   //D14 R,G,B
                    75,75,75,   //D15 R,G,B
    };

    int GSdataL4[]={
                    100,100,100,   //D0 R,G,B
                    100,100,100,   //D1 R,G,B
                    100,100,100,   //D2 R,G,B
                    100,100,100,   //D3 R,G,B
                    100,100,100,   //D4 R,G,B
                    100,100,100,   //D5 R,G,B
                    100,100,100,   //D6 R,G,B
                    100,100,100,   //D7 R,G,B
                    100,100,100,   //D8 R,G,B
                    100,100,100,   //D9 R,G,B
                    100,100,100,   //D10 R,G,B
                    100,100,100,   //D11 R,G,B
                    100,100,100,   //D12 R,G,B
                    100,100,100,   //D13 R,G,B
                    100,100,100,   //D14 R,G,B
                    100,100,100,   //D15 R,G,B
    };

    int GSdataL5[]={
                    125,125,125,   //D0 R,G,B
                    125,125,125,   //D1 R,G,B
                    125,125,125,   //D2 R,G,B
                    125,125,125,   //D3 R,G,B
                    125,125,125,   //D4 R,G,B
                    125,125,125,   //D5 R,G,B
                    125,125,125,   //D6 R,G,B
                    125,125,125,   //D7 R,G,B
                    125,125,125,   //D8 R,G,B
                    125,125,125,   //D9 R,G,B
                    125,125,125,   //D10 R,G,B
                    125,125,125,   //D11 R,G,B
                    125,125,125,   //D12 R,G,B
                    125,125,125,   //D13 R,G,B
                    125,125,125,   //D14 R,G,B
                    125,125,125,   //D15 R,G,B
    };

    int GSdataL6[]={
                    150,150,150,   //D0 R,G,B
                    150,150,150,   //D1 R,G,B
                    150,150,150,   //D2 R,G,B
                    150,150,150,   //D3 R,G,B
                    150,150,150,   //D4 R,G,B
                    150,150,150,   //D5 R,G,B
                    150,150,150,   //D6 R,G,B
                    150,150,150,   //D7 R,G,B
                    150,150,150,   //D8 R,G,B
                    150,150,150,   //D9 R,G,B
                    150,150,150,   //D10 R,G,B
                    150,150,150,   //D11 R,G,B
                    150,150,150,   //D12 R,G,B
                    150,150,150,   //D13 R,G,B
                    150,150,150,   //D14 R,G,B
                    150,150,150,   //D15 R,G,B
    };

    int GSdataL7[]={
                    175,175,175,   //D0 R,G,B
                    175,175,175,   //D1 R,G,B
                    175,175,175,   //D2 R,G,B
                    175,175,175,   //D3 R,G,B
                    175,175,175,   //D4 R,G,B
                    175,175,175,   //D5 R,G,B
                    175,175,175,   //D6 R,G,B
                    175,175,175,   //D7 R,G,B
                    175,175,175,   //D8 R,G,B
                    175,175,175,   //D9 R,G,B
                    175,175,175,   //D10 R,G,B
                    175,175,175,   //D11 R,G,B
                    175,175,175,   //D12 R,G,B
                    175,175,175,   //D13 R,G,B
                    175,175,175,   //D14 R,G,B
                    175,175,175,   //D15 R,G,B
    };

    int GSdataL8[]={
                    200,200,200,   //D0 R,G,B
                    200,200,200,   //D1 R,G,B
                    200,200,200,   //D2 R,G,B
                    200,200,200,   //D3 R,G,B
                    200,200,200,   //D4 R,G,B
                    200,200,200,   //D5 R,G,B
                    200,200,200,   //D6 R,G,B
                    200,200,200,   //D7 R,G,B
                    200,200,200,   //D8 R,G,B
                    200,200,200,   //D9 R,G,B
                    200,200,200,   //D10 R,G,B
                    200,200,200,   //D11 R,G,B
                    200,200,200,   //D12 R,G,B
                    200,200,200,   //D13 R,G,B
                    200,200,200,   //D14 R,G,B
                    200,200,200,   //D15 R,G,B
    };

    int GSdataL9[]={
                    225,225,225,   //D0 R,G,B
                    225,225,225,   //D1 R,G,B
                    225,225,225,   //D2 R,G,B
                    225,225,225,   //D3 R,G,B
                    225,225,225,   //D4 R,G,B
                    225,225,225,   //D5 R,G,B
                    225,225,225,   //D6 R,G,B
                    225,225,225,   //D7 R,G,B
                    225,225,225,   //D8 R,G,B
                    225,225,225,   //D9 R,G,B
                    225,225,225,   //D10 R,G,B
                    225,225,225,   //D11 R,G,B
                    225,225,225,   //D12 R,G,B
                    225,225,225,   //D13 R,G,B
                    225,225,225,   //D14 R,G,B
                    225,225,225,   //D15 R,G,B
    };

    int GSdataL10[]={
                     250,250,250,   //D0 R,G,B
                     250,250,250,   //D1 R,G,B
                     250,250,250,   //D2 R,G,B
                     250,250,250,   //D3 R,G,B
                     250,250,250,   //D4 R,G,B
                     250,250,250,   //D5 R,G,B
                     250,250,250,   //D6 R,G,B
                     250,250,250,   //D7 R,G,B
                     250,250,250,   //D8 R,G,B
                     250,250,250,   //D9 R,G,B
                     250,250,250,   //D10 R,G,B
                     250,250,250,   //D11 R,G,B
                     250,250,250,   //D12 R,G,B
                     250,250,250,   //D13 R,G,B
                     250,250,250,   //D14 R,G,B
                     250,250,250,   //D15 R,G,B
    };

    int i;

    //while(1)
    //{
    for(i=0;i<30;i++)
    {
        WriteGSData_Poker(GSdataL1);
        Switch_Line(1);

        WriteGSData_Poker(GSdataL2);
        Switch_Line(2);


        WriteGSData_Poker(GSdataL3);
        Switch_Line(3);


        WriteGSData_Poker(GSdataL4);
        Switch_Line(4);


        WriteGSData_Poker(GSdataL5);
        Switch_Line(5);


        WriteGSData_Poker(GSdataL6);
        Switch_Line(6);


        WriteGSData_Poker(GSdataL7);
        Switch_Line(7);


        WriteGSData_Poker(GSdataL8);
        Switch_Line(8);


        WriteGSData_Poker(GSdataL9);
        Switch_Line(9);


        WriteGSData_Poker(GSdataL10);
        Switch_Line(10);

    }

    //}

}

void Scan()
{

    int GSdataL1[]={
                    0x0FFF,0x0FFF,0x0FFF,   //D0 R,G,B
                    0x0000,0x0000,0x0000,   //D1 R,G,B
                    0x0000,0x0000,0x0000,   //D2 R,G,B
                    0x0000,0x0000,0x0000,   //D3 R,G,B
                    0x0000,0x0000,0x0000,   //D4 R,G,B
                    0x0000,0x0000,0x0000,   //D5 R,G,B
                    0x0000,0x0000,0x0000,   //D6 R,G,B
                    0x0000,0x0000,0x0000,   //D7 R,G,B
                    0x0000,0x0000,0x0000,   //D8 R,G,B
                    0x0000,0x0000,0x0000,   //D9 R,G,B
                    0x0000,0x0000,0x0000,   //D10 R,G,B
                    0x0000,0x0000,0x0000,   //D11 R,G,B
                    0x0000,0x0000,0x0000,   //D12 R,G,B
                    0x0000,0x0000,0x0000,   //D13 R,G,B
                    0x0000,0x0000,0x0000,   //D14 R,G,B
                    0x0000,0x0000,0x0000,   //D15 R,G,B
    };

    int GSdataL2[]={
                    0x0000,0x0000,0x0000,   //D0 R,G,B
                    0x0FFF,0x0FFF,0x0FFF,    //D1 R,G,B
                    0x0000,0x0000,0x0000,   //D2 R,G,B
                    0x0000,0x0000,0x0000,   //D3 R,G,B
                    0x0000,0x0000,0x0000,   //D4 R,G,B
                    0x0000,0x0000,0x0000,   //D5 R,G,B
                    0x0000,0x0000,0x0000,   //D6 R,G,B
                    0x0000,0x0000,0x0000,   //D7 R,G,B
                    0x0000,0x0000,0x0000,   //D8 R,G,B
                    0x0000,0x0000,0x0000,   //D9 R,G,B
                    0x0000,0x0000,0x0000,   //D10 R,G,B
                    0x0000,0x0000,0x0000,   //D11 R,G,B
                    0x0000,0x0000,0x0000,   //D12 R,G,B
                    0x0000,0x0000,0x0000,   //D13 R,G,B
                    0x0000,0x0000,0x0000,   //D14 R,G,B
                    0x0000,0x0000,0x0000,   //D15 R,G,B
    };

    int GSdataL3[]={
                    0x0000,0x0000,0x0000,   //D0 R,G,B
                    0x0000,0x0000,0x0000,   //D1 R,G,B
                    0x0FFF,0x0FFF,0x0FFF,    //D2 R,G,B
                    0x0000,0x0000,0x0000,   //D3 R,G,B
                    0x0000,0x0000,0x0000,   //D4 R,G,B
                    0x0000,0x0000,0x0000,   //D5 R,G,B
                    0x0000,0x0000,0x0000,   //D6 R,G,B
                    0x0000,0x0000,0x0000,   //D7 R,G,B
                    0x0000,0x0000,0x0000,   //D8 R,G,B
                    0x0000,0x0000,0x0000,   //D9 R,G,B
                    0x0000,0x0000,0x0000,   //D10 R,G,B
                    0x0000,0x0000,0x0000,   //D11 R,G,B
                    0x0000,0x0000,0x0000,   //D12 R,G,B
                    0x0000,0x0000,0x0000,   //D13 R,G,B
                    0x0000,0x0000,0x0000,   //D14 R,G,B
                    0x0000,0x0000,0x0000,   //D15 R,G,B
    };

    int GSdataL4[]={
                    0x0000,0x0000,0x0000,   //D0 R,G,B
                    0x0000,0x0000,0x0000,   //D1 R,G,B
                    0x0000,0x0000,0x0000,   //D2 R,G,B
                    0x0FFF,0x0FFF,0x0FFF,    //D3 R,G,B
                    0x0000,0x0000,0x0000,   //D4 R,G,B
                    0x0000,0x0000,0x0000,   //D5 R,G,B
                    0x0000,0x0000,0x0000,   //D6 R,G,B
                    0x0000,0x0000,0x0000,   //D7 R,G,B
                    0x0000,0x0000,0x0000,   //D8 R,G,B
                    0x0000,0x0000,0x0000,   //D9 R,G,B
                    0x0000,0x0000,0x0000,   //D10 R,G,B
                    0x0000,0x0000,0x0000,   //D11 R,G,B
                    0x0000,0x0000,0x0000,   //D12 R,G,B
                    0x0000,0x0000,0x0000,   //D13 R,G,B
                    0x0000,0x0000,0x0000,   //D14 R,G,B
                    0x0000,0x0000,0x0000,   //D15 R,G,B
    };

    int GSdataL5[]={
                    0x0000,0x0000,0x0000,   //D0 R,G,B
                    0x0000,0x0000,0x0000,   //D1 R,G,B
                    0x0000,0x0000,0x0000,   //D2 R,G,B
                    0x0000,0x0000,0x0000,   //D3 R,G,B
                    0x0FFF,0x0FFF,0x0FFF,    //D4 R,G,B
                    0x0000,0x0000,0x0000,   //D5 R,G,B
                    0x0000,0x0000,0x0000,   //D6 R,G,B
                    0x0000,0x0000,0x0000,   //D7 R,G,B
                    0x0000,0x0000,0x0000,   //D8 R,G,B
                    0x0000,0x0000,0x0000,   //D9 R,G,B
                    0x0000,0x0000,0x0000,   //D10 R,G,B
                    0x0000,0x0000,0x0000,   //D11 R,G,B
                    0x0000,0x0000,0x0000,   //D12 R,G,B
                    0x0000,0x0000,0x0000,   //D13 R,G,B
                    0x0000,0x0000,0x0000,   //D14 R,G,B
                    0x0000,0x0000,0x0000,   //D15 R,G,B
    };

    int GSdataL6[]={
                    0x0000,0x0000,0x0000,   //D0 R,G,B
                    0x0000,0x0000,0x0000,   //D1 R,G,B
                    0x0000,0x0000,0x0000,   //D2 R,G,B
                    0x0000,0x0000,0x0000,   //D3 R,G,B
                    0x0000,0x0000,0x0000,   //D4 R,G,B
                    0x0FFF,0x0FFF,0x0FFF,    //D5 R,G,B
                    0x0000,0x0000,0x0000,   //D6 R,G,B
                    0x0000,0x0000,0x0000,   //D7 R,G,B
                    0x0000,0x0000,0x0000,   //D8 R,G,B
                    0x0000,0x0000,0x0000,   //D9 R,G,B
                    0x0000,0x0000,0x0000,   //D10 R,G,B
                    0x0000,0x0000,0x0000,   //D11 R,G,B
                    0x0000,0x0000,0x0000,   //D12 R,G,B
                    0x0000,0x0000,0x0000,   //D13 R,G,B
                    0x0000,0x0000,0x0000,   //D14 R,G,B
                    0x0000,0x0000,0x0000,   //D15 R,G,B
    };

    int GSdataL7[]={
                    0x0000,0x0000,0x0000,   //D0 R,G,B
                    0x0000,0x0000,0x0000,   //D1 R,G,B
                    0x0000,0x0000,0x0000,   //D2 R,G,B
                    0x0000,0x0000,0x0000,   //D3 R,G,B
                    0x0000,0x0000,0x0000,   //D4 R,G,B
                    0x0000,0x0000,0x0000,   //D5 R,G,B
                    0x0FFF,0x0FFF,0x0FFF,    //D6 R,G,B
                    0x0000,0x0000,0x0000,   //D7 R,G,B
                    0x0000,0x0000,0x0000,   //D8 R,G,B
                    0x0000,0x0000,0x0000,   //D9 R,G,B
                    0x0000,0x0000,0x0000,   //D10 R,G,B
                    0x0000,0x0000,0x0000,   //D11 R,G,B
                    0x0000,0x0000,0x0000,   //D12 R,G,B
                    0x0000,0x0000,0x0000,   //D13 R,G,B
                    0x0000,0x0000,0x0000,   //D14 R,G,B
                    0x0000,0x0000,0x0000,   //D15 R,G,B
    };

    int GSdataL8[]={
                    0x0000,0x0000,0x0000,   //D0 R,G,B
                    0x0000,0x0000,0x0000,   //D1 R,G,B
                    0x0000,0x0000,0x0000,   //D2 R,G,B
                    0x0000,0x0000,0x0000,   //D3 R,G,B
                    0x0000,0x0000,0x0000,   //D4 R,G,B
                    0x0000,0x0000,0x0000,   //D5 R,G,B
                    0x0000,0x0000,0x0000,   //D6 R,G,B
                    0x0FFF,0x0FFF,0x0FFF,    //D7 R,G,B
                    0x0000,0x0000,0x0000,   //D8 R,G,B
                    0x0000,0x0000,0x0000,   //D9 R,G,B
                    0x0000,0x0000,0x0000,   //D10 R,G,B
                    0x0000,0x0000,0x0000,   //D11 R,G,B
                    0x0000,0x0000,0x0000,   //D12 R,G,B
                    0x0000,0x0000,0x0000,   //D13 R,G,B
                    0x0000,0x0000,0x0000,   //D14 R,G,B
                    0x0000,0x0000,0x0000,   //D15 R,G,B
    };

    int GSdataL9[]={
                    0x0000,0x0000,0x0000,   //D0 R,G,B
                    0x0000,0x0000,0x0000,   //D1 R,G,B
                    0x0000,0x0000,0x0000,   //D2 R,G,B
                    0x0000,0x0000,0x0000,   //D3 R,G,B
                    0x0000,0x0000,0x0000,   //D4 R,G,B
                    0x0000,0x0000,0x0000,   //D5 R,G,B
                    0x0000,0x0000,0x0000,    //D6 R,G,B
                    0x0000,0x0000,0x0000,   //D7 R,G,B
                    0x0FFF,0x0FFF,0x0FFF,    //D8 R,G,B
                    0x0000,0x0000,0x0000,   //D9 R,G,B
                    0x0000,0x0000,0x0000,   //D10 R,G,B
                    0x0000,0x0000,0x0000,   //D11 R,G,B
                    0x0000,0x0000,0x0000,   //D12 R,G,B
                    0x0000,0x0000,0x0000,   //D13 R,G,B
                    0x0000,0x0000,0x0000,   //D14 R,G,B
                    0x0000,0x0000,0x0000,   //D15 R,G,B
    };

    int GSdataL10[]={
                     0x0000,0x0000,0x0000,   //D0 R,G,B
                     0x0000,0x0000,0x0000,   //D1 R,G,B
                     0x0000,0x0000,0x0000,   //D2 R,G,B
                     0x0000,0x0000,0x0000,   //D3 R,G,B
                     0x0000,0x0000,0x0000,   //D4 R,G,B
                     0x0000,0x0000,0x0000,    //D5 R,G,B
                     0x0000,0x0000,0x0000,   //D6 R,G,B
                     0x0000,0x0000,0x0000,   //D7 R,G,B
                     0x0000,0x0000,0x0000,   //D8 R,G,B
                     0x0FFF,0x0FFF,0x0FFF,    //D9 R,G,B
                     0x0000,0x0000,0x0000,   //D10 R,G,B
                     0x0000,0x0000,0x0000,   //D11 R,G,B
                     0x0000,0x0000,0x0000,   //D12 R,G,B
                     0x0000,0x0000,0x0000,   //D13 R,G,B
                     0x0000,0x0000,0x0000,   //D14 R,G,B
                     0x0000,0x0000,0x0000,   //D15 R,G,B
    };

    int GSdataL11[]={
                     0x0000,0x0000,0x0000,   //D0 R,G,B
                     0x0000,0x0000,0x0000,   //D1 R,G,B
                     0x0000,0x0000,0x0000,   //D2 R,G,B
                     0x0000,0x0000,0x0000,   //D3 R,G,B
                     0x0000,0x0000,0x0000,   //D4 R,G,B
                     0x0000,0x0000,0x0000,    //D5 R,G,B
                     0x0000,0x0000,0x0000,   //D6 R,G,B
                     0x0000,0x0000,0x0000,   //D7 R,G,B
                     0x0000,0x0000,0x0000,   //D8 R,G,B
                     0x0000,0x0000,0x0000,    //D9 R,G,B
                     0x0FFF,0x0FFF,0x0FFF,    //D10 R,G,B
                     0x0000,0x0000,0x0000,   //D11 R,G,B
                     0x0000,0x0000,0x0000,   //D12 R,G,B
                     0x0000,0x0000,0x0000,   //D13 R,G,B
                     0x0000,0x0000,0x0000,   //D14 R,G,B
                     0x0000,0x0000,0x0000,   //D15 R,G,B
    };

    int GSdataL12[]={
                     0x0000,0x0000,0x0000,   //D0 R,G,B
                     0x0000,0x0000,0x0000,   //D1 R,G,B
                     0x0000,0x0000,0x0000,   //D2 R,G,B
                     0x0000,0x0000,0x0000,   //D3 R,G,B
                     0x0000,0x0000,0x0000,   //D4 R,G,B
                     0x0000,0x0000,0x0000,    //D5 R,G,B
                     0x0000,0x0000,0x0000,   //D6 R,G,B
                     0x0000,0x0000,0x0000,   //D7 R,G,B
                     0x0000,0x0000,0x0000,   //D8 R,G,B
                     0x0000,0x0000,0x0000,    //D9 R,G,B
                     0x0000,0x0000,0x0000,   //D10 R,G,B
                     0x0FFF,0x0FFF,0x0FFF,    //D11 R,G,B
                     0x0000,0x0000,0x0000,   //D12 R,G,B
                     0x0000,0x0000,0x0000,   //D13 R,G,B
                     0x0000,0x0000,0x0000,   //D14 R,G,B
                     0x0000,0x0000,0x0000,   //D15 R,G,B
    };

    int GSdataL13[]={
                     0x0000,0x0000,0x0000,   //D0 R,G,B
                     0x0000,0x0000,0x0000,   //D1 R,G,B
                     0x0000,0x0000,0x0000,   //D2 R,G,B
                     0x0000,0x0000,0x0000,   //D3 R,G,B
                     0x0000,0x0000,0x0000,   //D4 R,G,B
                     0x0000,0x0000,0x0000,    //D5 R,G,B
                     0x0000,0x0000,0x0000,   //D6 R,G,B
                     0x0000,0x0000,0x0000,   //D7 R,G,B
                     0x0000,0x0000,0x0000,   //D8 R,G,B
                     0x0000,0x0000,0x0000,    //D9 R,G,B
                     0x0000,0x0000,0x0000,   //D10 R,G,B
                     0x0000,0x0000,0x0000,   //D11 R,G,B
                     0x0FFF,0x0FFF,0x0FFF,    //D12 R,G,B
                     0x0000,0x0000,0x0000,   //D13 R,G,B
                     0x0000,0x0000,0x0000,   //D14 R,G,B
                     0x0000,0x0000,0x0000,   //D15 R,G,B
    };

    int GSdataL14[]={
                     0x0000,0x0000,0x0000,   //D0 R,G,B
                     0x0000,0x0000,0x0000,   //D1 R,G,B
                     0x0000,0x0000,0x0000,   //D2 R,G,B
                     0x0000,0x0000,0x0000,   //D3 R,G,B
                     0x0000,0x0000,0x0000,   //D4 R,G,B
                     0x0000,0x0000,0x0000,    //D5 R,G,B
                     0x0000,0x0000,0x0000,   //D6 R,G,B
                     0x0000,0x0000,0x0000,   //D7 R,G,B
                     0x0000,0x0000,0x0000,   //D8 R,G,B
                     0x0000,0x0000,0x0000,    //D9 R,G,B
                     0x0000,0x0000,0x0000,   //D10 R,G,B
                     0x0000,0x0000,0x0000,   //D11 R,G,B
                     0x0000,0x0000,0x0000,   //D12 R,G,B
                     0x0FFF,0x0FFF,0x0FFF,    //D13 R,G,B
                     0x0000,0x0000,0x0000,   //D14 R,G,B
                     0x0000,0x0000,0x0000,   //D15 R,G,B
    };

    int GSdataL15[]={
                     0x0000,0x0000,0x0000,   //D0 R,G,B
                     0x0000,0x0000,0x0000,   //D1 R,G,B
                     0x0000,0x0000,0x0000,   //D2 R,G,B
                     0x0000,0x0000,0x0000,   //D3 R,G,B
                     0x0000,0x0000,0x0000,   //D4 R,G,B
                     0x0000,0x0000,0x0000,    //D5 R,G,B
                     0x0000,0x0000,0x0000,   //D6 R,G,B
                     0x0000,0x0000,0x0000,   //D7 R,G,B
                     0x0000,0x0000,0x0000,   //D8 R,G,B
                     0x0000,0x0000,0x0000,    //D9 R,G,B
                     0x0000,0x0000,0x0000,   //D10 R,G,B
                     0x0000,0x0000,0x0000,   //D11 R,G,B
                     0x0000,0x0000,0x0000,   //D12 R,G,B
                     0x0000,0x0000,0x0000,   //D13 R,G,B
                     0x0FFF,0x0FFF,0x0FFF,    //D14 R,G,B
                     0x0000,0x0000,0x0000,   //D15 R,G,B
    };

    int GSdataL16[]={
                     0x0000,0x0000,0x0000,   //D0 R,G,B
                     0x0000,0x0000,0x0000,   //D1 R,G,B
                     0x0000,0x0000,0x0000,   //D2 R,G,B
                     0x0000,0x0000,0x0000,   //D3 R,G,B
                     0x0000,0x0000,0x0000,   //D4 R,G,B
                     0x0000,0x0000,0x0000,    //D5 R,G,B
                     0x0000,0x0000,0x0000,   //D6 R,G,B
                     0x0000,0x0000,0x0000,   //D7 R,G,B
                     0x0000,0x0000,0x0000,   //D8 R,G,B
                     0x0000,0x0000,0x0000,    //D9 R,G,B
                     0x0000,0x0000,0x0000,   //D10 R,G,B
                     0x0000,0x0000,0x0000,   //D11 R,G,B
                     0x0000,0x0000,0x0000,   //D12 R,G,B
                     0x0000,0x0000,0x0000,   //D13 R,G,B
                     0x0000,0x0000,0x0000,   //D14 R,G,B
                     0x0FFF,0x0FFF,0x0FFF,    //D15 R,G,B
    };

    int i,j;

    //while(1)
    //{
    for(j=1;j<=16;j++)
    {
        for(i=0;i<5;i++)
        {
            WriteGSData_Poker(GSdataL1);
            Switch_Line(10-j%16);

            WriteGSData_Poker(GSdataL2);
            Switch_Line(10-(j+1)%16);

            WriteGSData_Poker(GSdataL3);
            Switch_Line(10-(j+2)%16);

            WriteGSData_Poker(GSdataL4);
            Switch_Line(10-(j+3)%16);

            WriteGSData_Poker(GSdataL5);
            Switch_Line(10-(j+4)%16);

            WriteGSData_Poker(GSdataL6);
            Switch_Line(10-(j+5)%16);

            WriteGSData_Poker(GSdataL7);
            Switch_Line(10-(j+6)%16);

            WriteGSData_Poker(GSdataL8);
            Switch_Line(10-(j+7)%16);

            WriteGSData_Poker(GSdataL9);
            Switch_Line(10-(j+8)%16);

            WriteGSData_Poker(GSdataL10);
            Switch_Line(10-(j+9)%16);

            WriteGSData_Poker(GSdataL11);
            Switch_Line(10-(j+10)%16);

            WriteGSData_Poker(GSdataL12);
            Switch_Line(10-(j+11)%16);

            WriteGSData_Poker(GSdataL13);
            Switch_Line(10-(j+12)%16);

            WriteGSData_Poker(GSdataL14);
            Switch_Line(10-(j+13)%16);

            WriteGSData_Poker(GSdataL15);
            Switch_Line(10-(j+14)%16);

            WriteGSData_Poker(GSdataL16);
            Switch_Line(10-(j+15)%16);
        }
    }
    //}

}

void Doraemon()
{
    int GSdataL2[]={
                    0x0000,0x0000,0x0000,   //D14 R,G,B
                    0x0000,0x0000,0x0000,   //D15 R,G,B
                    0x0000,0x0000,0x0000,   //D0 R,G,B
                    0x0000,0x0000,0x0000,   //D1 R,G,B
                    0x000,0x0000,0xfff,   //D2 R,G,B
                    0x000,0x0000,0xfff,   //D3 R,G,B
                    0x000,0x0000,0xfff,   //D4 R,G,B
                    0x000,0x0000,0xfff,   //D5 R,G,B
                    0x0000,0x0000,0x0000,   //D6 R,G,B
                    0x0000,0x0000,0x0000,   //D7 R,G,B
                    0xfff,0xfff,0xfff,   //D8 R,G,B
                    0x0000,0x0000,0x0000,   //D9 R,G,B
                    0x0000,0x0000,0x0000,   //D10 R,G,B
                    0x0000,0x0000,0x0000,   //D11 R,G,B
                    0x0000,0x0000,0x0000,   //D12 R,G,B
                    0x0000,0x0000,0x0000,   //D13 R,G,B
    };

    int GSdataL2_1[]={
                      0x0000,0x0000,0x0000,   //D14 R,G,B
                      0x0000,0x0000,0x0000,   //D15 R,G,B
                      0x0000,0x0000,0x0000,   //D0 R,G,B
                      0x0000,0x0000,0x0000,   //D1 R,G,B
                      0x000,0x0000,0xfff,   //D2 R,G,B
                      0x000,0x0000,0xfff,   //D3 R,G,B
                      0x000,0x0000,0xfff,   //D4 R,G,B
                      0x000,0x0000,0xfff,   //D5 R,G,B
                      0x0000,0x0000,0x0000,   //D6 R,G,B
                      0x0000,0x0000,0x0000,   //D7 R,G,B
                      0x0000,0x0000,0x0000,   //D8 R,G,B
                      0xfff,0xfff,0xfff,   //D9 R,G,B
                      0x0000,0x0000,0x0000,   //D10 R,G,B
                      0x0000,0x0000,0x0000,   //D11 R,G,B
                      0x0000,0x0000,0x0000,   //D12 R,G,B
                      0x0000,0x0000,0x0000,   //D13 R,G,B
    };

    int GSdataL3[]={
                    0x0000,0x0000,0x0000,   //D14 R,G,B
                    0x0000,0x0000,0x0000,   //D15 R,G,B
                    0x0000,0x0000,0x0000,   //D0 R,G,B
                    0x000,0x0000,0xfff,   //D1 R,G,B
                    0x000,0x0000,0xfff,   //D2 R,G,B
                    0x000,0x0000,0xfff,   //D3 R,G,B
                    0x000,0x0000,0xfff,   //D4 R,G,B
                    0x000,0x0000,0xfff,   //D5 R,G,B
                    0x000,0x0000,0xfff,   //D6 R,G,B
                    0x0000,0x0000,0x0000,   //D7 R,G,B
                    0x000,0x0000,0xfff,   //D8 R,G,B
                    0x0000,0x0000,0x0000,   //D9 R,G,B
                    0x0000,0x0000,0x0000,   //D10 R,G,B
                    0x0000,0x0000,0x0000,   //D11 R,G,B
                    0x0000,0x0000,0x0000,   //D12 R,G,B
                    0x0000,0x0000,0x0000,   //D13 R,G,B
    };

    int GSdataL4[]={
                    0x0000,0x0000,0x0000,   //D14 R,G,B
                    0x0000,0x0000,0x0000,   //D15 R,G,B
                    0x000,0x0000,0xfff,   //D0 R,G,B
                    0x000,0x0000,0xfff,   //D1 R,G,B
                    0xfff,0xfff,0xfff,   //D2 R,G,B
                    0xfff,0xfff,0xfff,   //D3 R,G,B
                    0xfff,0xfff,0xfff,   //D4 R,G,B
                    0xfff,0xfff,0xfff,   //D5 R,G,B
                    0xfff,0xfff,0xfff,   //D6 R,G,B
                    0xfff,0x0000,0x000,   //D7 R,G,B
                    0x000,0x0000,0xfff,   //D8 R,G,B
                    0x000,0x0000,0xfff,   //D9 R,G,B
                    0x000,0x0000,0xfff,   //D10 R,G,B
                    0x0000,0x0000,0x0000,   //D11 R,G,B
                    0x0000,0x0000,0x0000,   //D12 R,G,B
                    0x0000,0x0000,0x0000,   //D13 R,G,B
    };

    int GSdataL5[]={
                    0x0000,0x0000,0x0000,   //D14 R,G,B
                    0x0000,0x0000,0x0000,   //D15 R,G,B
                    0x000,0x0000,0xfff,   //D0 R,G,B
                    0x000,0x0000,0xfff,   //D1 R,G,B
                    0xfff,0xfff,0xfff,   //D2 R,G,B
                    0x0000,0x0000,0x0000,   //D3 R,G,B
                    0xfff,0xfff,0xfff,   //D4 R,G,B
                    0xfff,0xfff,0xfff,   //D5 R,G,B
                    0xfff,0xfff,0xfff,   //D6 R,G,B
                    0xfff,0x0000,0x000,   //D7 R,G,B
                    0xfff,0xfff,0xfff,   //D8 R,G,B
                    0xfff,0xfff,0xfff,   //D9 R,G,B
                    0x000,0x0000,0xfff,   //D10 R,G,B
                    0x0000,0x0000,0x0000,   //D11 R,G,B
                    0x0000,0x0000,0x0000,   //D12 R,G,B
                    0x0000,0x0000,0x0000,   //D13 R,G,B
    };

    int GSdataL6[]={
                    0x0000,0x0000,0x0000,   //D14 R,G,B
                    0x0000,0x0000,0x0000,   //D15 R,G,B
                    0x000,0x0000,0xfff,   //D0 R,G,B
                    0x000,0x0000,0xfff,   //D1 R,G,B
                    0x000,0x0000,0xfff,   //D2 R,G,B
                    0xfff,0xfff,0xfff,   //D3 R,G,B
                    0xfff,0x0000,0x000,   //D4 R,G,B
                    0xfff,0xfff,0xfff,   //D5 R,G,B
                    0xfff,0xfff,0xfff,   //D6 R,G,B
                    0x0000,0xfff,0x0000,   //D7 R,G,B
                    0xfff,0xfff,0xfff,   //D8 R,G,B
                    0xfff,0xfff,0xfff,   //D9 R,G,B
                    0x000,0x0000,0xfff,   //D10 R,G,B
                    0x0000,0x0000,0x0000,   //D11 R,G,B
                    0x0000,0x0000,0x0000,   //D12 R,G,B
                    0x0000,0x0000,0x0000,   //D13 R,G,B
    };
    int i;

    //while(1)
    //{
    for(i=0;i<30;i++)//use i<30 to control frame period
    {
        WriteGSData_Poker(GSdataL2);//Write Line2 GSdata
        Switch_Line(2);//Enable Line2


        WriteGSData_Poker(GSdataL3);
        Switch_Line(3);


        WriteGSData_Poker(GSdataL4);
        Switch_Line(4);


        WriteGSData_Poker(GSdataL5);
        Switch_Line(5);


        WriteGSData_Poker(GSdataL6);
        Switch_Line(6);


        WriteGSData_Poker(GSdataL5);
        Switch_Line(7);


        WriteGSData_Poker(GSdataL4);
        Switch_Line(8);


        WriteGSData_Poker(GSdataL3);
        Switch_Line(9);


        WriteGSData_Poker(GSdataL2);
        Switch_Line(10);
    }

    for(i=0;i<30;i++)
    {
        WriteGSData_Poker(GSdataL2_1);
        Switch_Line(2);


        WriteGSData_Poker(GSdataL3);
        Switch_Line(3);


        WriteGSData_Poker(GSdataL4);
        Switch_Line(4);


        WriteGSData_Poker(GSdataL5);
        Switch_Line(5);


        WriteGSData_Poker(GSdataL6);
        Switch_Line(6);


        WriteGSData_Poker(GSdataL5);
        Switch_Line(7);


        WriteGSData_Poker(GSdataL4);
        Switch_Line(8);


        WriteGSData_Poker(GSdataL3);
        Switch_Line(9);


        WriteGSData_Poker(GSdataL2_1);
        Switch_Line(10);
    }
    //}

}

void Smile()
{
    int GSdataL1[]={
                    0,0,0,   //D0 R,G,B
                    0,0,0,   //D1 R,G,B
                    0,0,0,   //D2 R,G,B
                    0,0,0,   //D3 R,G,B
                    0,0,0,   //D4 R,G,B
                    0,0,0,   //D5 R,G,B
                    400,400,0,  //D6 R,G,B
                    400,400,0,   //D7 R,G,B
                    400,400,0,   //D8 R,G,B
                    400,400,0,   //D9 R,G,B
                    0,0,0,   //D10 R,G,B
                    0,0,0,   //D11 R,G,B
                    0,0,0,   //D12 R,G,B
                    0,0,0,   //D13 R,G,B
                    0,0,0,   //D14 R,G,B
                    0,0,0,   //D15 R,G,B
    };

    int GSdataL2[]={
                    0,0,0,   //D0 R,G,B
                    0,0,0,   //D1 R,G,B
                    0,0,0,   //D2 R,G,B
                    0,0,0,   //D3 R,G,B
                    0,0,0,   //D4 R,G,B
                    400,400,0,   //D5 R,G,B
                    400,400,0,   //D6 R,G,B
                    400,400,0,   //D7 R,G,B
                    400,400,0,   //D8 R,G,B
                    400,400,0,   //D9 R,G,B
                    400,400,0,   //D10 R,G,B
                    0,0,0,   //D11 R,G,B
                    0,0,0,   //D12 R,G,B
                    0,0,0,   //D13 R,G,B
                    0,0,0,   //D14 R,G,B
                    0,0,0,   //D15 R,G,B
    };

    int GSdataL3[]={
                    0,0,0,   //D0 R,G,B
                    0,0,0,   //D1 R,G,B
                    0,0,0,   //D2 R,G,B
                    0,0,0,   //D3 R,G,B
                    400,400,0,   //D4 R,G,B
                    400,400,400,   //D5 R,G,B
                    400,400,400,   //D6 R,G,B
                    400,400,0,   //D7 R,G,B
                    400,400,0,   //D8 R,G,B
                    400,400,400,   //D9 R,G,B
                    400,400,400,   //D10 R,G,B
                    400,400,0,   //D11 R,G,B
                    0,0,0,   //D12 R,G,B
                    0,0,0,   //D13 R,G,B
                    0,0,0,   //D14 R,G,B
                    0,0,0,   //D15 R,G,B
    };

    int GSdataL4[]={
                    0,0,0,   //D0 R,G,B
                    0,0,0,   //D1 R,G,B
                    0,0,0,   //D2 R,G,B
                    400,400,0,   //D3 R,G,B
                    400,400,0,   //D4 R,G,B
                    400,400,400,   //D5 R,G,B
                    0,0,0,   //D6 R,G,B
                    400,400,0,   //D7 R,G,B
                    400,400,0,   //D8 R,G,B
                    0,0,0,   //D9 R,G,B
                    400,400,400,   //D10 R,G,B
                    400,400,0,   //D11 R,G,B
                    400,400,0,   //D12 R,G,B
                    0,0,0,   //D13 R,G,B
                    0,0,0,   //D14 R,G,B
                    0,0,0,   //D15 R,G,B
    };

    int GSdataL5[]={
                    0,0,0,   //D0 R,G,B
                    0,0,0,   //D1 R,G,B
                    0,0,0,   //D2 R,G,B
                    400,400,0,   //D3 R,G,B
                    400,400,0,   //D4 R,G,B
                    400,400,400,   //D5 R,G,B
                    0,0,0,   //D6 R,G,B
                    400,400,0,   //D7 R,G,B
                    400,400,0,   //D8 R,G,B
                    0,0,0,   //D9 R,G,B
                    400,400,400,   //D10 R,G,B
                    400,400,0,   //D11 R,G,B
                    400,400,0,   //D12 R,G,B
                    0,0,0,   //D13 R,G,B
                    0,0,0,   //D14 R,G,B
                    0,0,0,   //D15 R,G,B
    };

    int GSdataL6[]={
                    0,0,0,   //D0 R,G,B
                    0,0,0,   //D1 R,G,B
                    0,0,0,   //D2 R,G,B
                    400,400,0,   //D3 R,G,B
                    400,400,0,   //D4 R,G,B
                    400,400,0,   //D5 R,G,B
                    400,400,0,   //D6 R,G,B
                    400,400,0,   //D7 R,G,B
                    400,400,0,   //D8 R,G,B
                    400,400,0,   //D9 R,G,B
                    400,400,0,   //D10 R,G,B
                    400,400,0,   //D11 R,G,B
                    400,400,0,   //D12 R,G,B
                    0,0,0,   //D13 R,G,B
                    0,0,0,   //D14 R,G,B
                    0,0,0,   //D15 R,G,B
    };

    int GSdataL7[]={
                    0,0,0,   //D0 R,G,B
                    0,0,0,   //D1 R,G,B
                    0,0,0,   //D2 R,G,B
                    400,400,0,   //D3 R,G,B
                    400,400,0,   //D4 R,G,B
                    400,0,0,   //D5 R,G,B
                    400,400,0,   //D6 R,G,B
                    400,400,0,   //D7 R,G,B
                    400,400,0,   //D8 R,G,B
                    400,400,0,   //D9 R,G,B
                    400,0,0,   //D10 R,G,B
                    400,400,0,   //D11 R,G,B
                    400,400,0,   //D12 R,G,B
                    0,0,0,   //D13 R,G,B
                    0,0,0,   //D14 R,G,B
                    0,0,0,   //D15 R,G,B
    };

    int GSdataL8[]={
                    0,0,0,   //D0 R,G,B
                    0,0,0,   //D1 R,G,B
                    0,0,0,   //D2 R,G,B
                    0,0,0,   //D3 R,G,B
                    400,400,0,   //D4 R,G,B
                    400,400,0,   //D5 R,G,B
                    400,0,0,   //D6 R,G,B
                    400,0,0,   //D7 R,G,B
                    400,0,0,   //D8 R,G,B
                    400,0,0,   //D9 R,G,B
                    400,400,0,   //D10 R,G,B
                    400,400,0,   //D11 R,G,B
                    0,0,0,   //D12 R,G,B
                    0,0,0,   //D13 R,G,B
                    0,0,0,   //D14 R,G,B
                    0,0,0,   //D15 R,G,B
    };

    int GSdataL9[]={
                    0,0,0,   //D0 R,G,B
                    0,0,0,   //D1 R,G,B
                    0,0,0,   //D2 R,G,B
                    0,0,0,   //D3 R,G,B
                    0,0,0,   //D4 R,G,B
                    400,400,0,   //D5 R,G,B
                    400,400,0,   //D6 R,G,B
                    400,400,0,   //D7 R,G,B
                    400,400,0,   //D8 R,G,B
                    400,400,0,   //D9 R,G,B
                    400,400,0,   //D10 R,G,B
                    0,0,0,   //D11 R,G,B
                    0,0,0,   //D12 R,G,B
                    0,0,0,   //D13 R,G,B
                    0,0,0,   //D14 R,G,B
                    0,0,0,   //D15 R,G,B
    };

    int GSdataL10[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     400,400,0,  //D6 R,G,B
                     400,400,0,   //D7 R,G,B
                     400,400,0,   //D8 R,G,B
                     400,400,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int i;

    //while(1)
    //{
    for(i=0;i<30;i++)//use i<30 to control frame period
    {
        WriteGSData_Poker(GSdataL1);//Write Line2 GSdata
        Switch_Line(1);//Enable Line2

        WriteGSData_Poker(GSdataL2);
        Switch_Line(2);

        WriteGSData_Poker(GSdataL3);
        Switch_Line(3);


        WriteGSData_Poker(GSdataL4);
        Switch_Line(4);


        WriteGSData_Poker(GSdataL5);
        Switch_Line(5);


        WriteGSData_Poker(GSdataL6);
        Switch_Line(6);


        WriteGSData_Poker(GSdataL7);
        Switch_Line(7);


        WriteGSData_Poker(GSdataL8);
        Switch_Line(8);


        WriteGSData_Poker(GSdataL9);
        Switch_Line(9);


        WriteGSData_Poker(GSdataL10);
        Switch_Line(10);
    }

    //}

}

void Flower()
{
    int GSdataL1_1[]={
                      0,0,0,   //D0 R,G,B
                      0,0,0,   //D1 R,G,B
                      0,0,0,   //D2 R,G,B
                      0,0,0,   //D3 R,G,B
                      0,0,0,   //D4 R,G,B
                      400,0,0,   //D5 R,G,B
                      400,0,0,  //D6 R,G,B
                      400,0,0,   //D7 R,G,B
                      400,0,0,   //D8 R,G,B
                      400,0,0,   //D9 R,G,B
                      400,0,0,   //D10 R,G,B
                      0,0,0,   //D11 R,G,B
                      0,0,0,   //D12 R,G,B
                      0,0,0,   //D13 R,G,B
                      0,0,0,   //D14 R,G,B
                      0,0,0,   //D15 R,G,B
    };

    int GSdataL2_1[]={
                      0,0,0,   //D0 R,G,B
                      0,0,0,   //D1 R,G,B
                      0,0,0,   //D2 R,G,B
                      0,0,0,   //D3 R,G,B
                      400,0,0,   //D4 R,G,B
                      400,400,0,   //D5 R,G,B
                      400,400,0,   //D6 R,G,B
                      400,400,0,   //D7 R,G,B
                      400,400,0,   //D8 R,G,B
                      400,400,0,   //D9 R,G,B
                      400,400,0,   //D10 R,G,B
                      400,0,0,   //D11 R,G,B
                      0,0,0,   //D12 R,G,B
                      0,0,0,   //D13 R,G,B
                      0,0,0,   //D14 R,G,B
                      0,0,0,   //D15 R,G,B
    };

    int GSdataL3_1[]={
                      0,0,0,   //D0 R,G,B
                      0,0,0,   //D1 R,G,B
                      0,0,0,   //D2 R,G,B
                      400,0,0,   //D3 R,G,B
                      400,400,0,   //D4 R,G,B
                      400,400,400,   //D5 R,G,B
                      0,0,0,   //D6 R,G,B
                      400,400,400,   //D7 R,G,B
                      400,400,400,   //D8 R,G,B
                      0,0,0,   //D9 R,G,B
                      400,400,400,   //D10 R,G,B
                      400,400,0,   //D11 R,G,B
                      400,0,0,   //D12 R,G,B
                      0,0,0,   //D13 R,G,B
                      0,0,0,   //D14 R,G,B
                      0,0,0,   //D15 R,G,B
    };

    int GSdataL4_1[]={
                      0,0,0,   //D0 R,G,B
                      0,0,0,   //D1 R,G,B
                      0,0,0,   //D2 R,G,B
                      400,0,0,   //D3 R,G,B
                      400,400,0,   //D4 R,G,B
                      400,400,400,   //D5 R,G,B
                      0,0,0,   //D6 R,G,B
                      400,400,400,   //D7 R,G,B
                      400,400,400,   //D8 R,G,B
                      0,0,0,   //D9 R,G,B
                      400,400,400,   //D10 R,G,B
                      400,400,0,   //D11 R,G,B
                      400,0,0,   //D12 R,G,B
                      0,0,0,   //D13 R,G,B
                      0,0,0,   //D14 R,G,B
                      0,0,0,   //D15 R,G,B
    };

    int GSdataL5_1[]={
                      0,0,0,   //D0 R,G,B
                      0,0,0,   //D1 R,G,B
                      0,0,0,   //D2 R,G,B
                      0,0,0,   //D3 R,G,B
                      400,0,0,   //D4 R,G,B
                      400,400,0,   //D5 R,G,B
                      400,400,0,   //D6 R,G,B
                      400,400,0,   //D7 R,G,B
                      400,400,0,   //D8 R,G,B
                      400,400,0,   //D9 R,G,B
                      400,400,0,   //D10 R,G,B
                      400,0,0,   //D11 R,G,B
                      0,0,0,   //D12 R,G,B
                      0,0,0,   //D13 R,G,B
                      0,0,0,   //D14 R,G,B
                      0,0,0,   //D15 R,G,B
    };

    int GSdataL6_1[]={
                      0,0,0,   //D0 R,G,B
                      0,0,0,   //D1 R,G,B
                      0,0,0,   //D2 R,G,B
                      0,0,0,   //D3 R,G,B
                      0,0,0,   //D4 R,G,B
                      400,0,0,   //D5 R,G,B
                      400,0,0,  //D6 R,G,B
                      400,0,0,   //D7 R,G,B
                      400,0,0,   //D8 R,G,B
                      400,0,0,   //D9 R,G,B
                      400,0,0,   //D10 R,G,B
                      0,0,0,   //D11 R,G,B
                      0,0,0,   //D12 R,G,B
                      0,0,0,   //D13 R,G,B
                      0,0,0,   //D14 R,G,B
                      0,0,0,   //D15 R,G,B
    };

    int GSdataL7_1[]={
                      0,0,0,   //D0 R,G,B
                      0,0,0,   //D1 R,G,B
                      0,0,0,   //D2 R,G,B
                      0,400,0,   //D3 R,G,B
                      0,400,0,   //D4 R,G,B
                      0,0,0,   //D5 R,G,B
                      0,0,0,   //D6 R,G,B
                      0,400,0,   //D7 R,G,B
                      0,400,0,   //D8 R,G,B
                      0,0,0,   //D9 R,G,B
                      0,0,0,   //D10 R,G,B
                      0,400,0,   //D11 R,G,B
                      0,400,0,   //D12 R,G,B
                      0,0,0,   //D13 R,G,B
                      0,0,0,   //D14 R,G,B
                      0,0,0,   //D15 R,G,B
    };

    int GSdataL8_1[]={
                      0,0,0,   //D0 R,G,B
                      0,0,0,   //D1 R,G,B
                      0,0,0,   //D2 R,G,B
                      0,400,0,   //D3 R,G,B
                      0,400,0,   //D4 R,G,B
                      0,400,0,   //D5 R,G,B
                      0,0,0,   //D6 R,G,B
                      0,400,0,   //D7 R,G,B
                      0,400,0,   //D8 R,G,B
                      0,0,0,   //D9 R,G,B
                      0,400,0,   //D10 R,G,B
                      0,400,0,   //D11 R,G,B
                      0,400,0,   //D12 R,G,B
                      0,0,0,   //D13 R,G,B
                      0,0,0,   //D14 R,G,B
                      0,0,0,   //D15 R,G,B
    };

    int GSdataL9_1[]={
                      0,0,0,   //D0 R,G,B
                      0,0,0,   //D1 R,G,B
                      0,0,0,   //D2 R,G,B
                      0,0,0,   //D3 R,G,B
                      0,400,0,   //D4 R,G,B
                      0,400,0,   //D5 R,G,B
                      0,400,0,   //D6 R,G,B
                      0,400,0,   //D7 R,G,B
                      0,400,0,   //D8 R,G,B
                      0,400,0,   //D9 R,G,B
                      0,400,0,   //D10 R,G,B
                      0,400,0,   //D11 R,G,B
                      0,0,0,   //D12 R,G,B
                      0,0,0,   //D13 R,G,B
                      0,0,0,   //D14 R,G,B
                      0,0,0,   //D15 R,G,B
    };

    int GSdataL10_1[]={
                       0,0,0,   //D0 R,G,B
                       0,0,0,   //D1 R,G,B
                       0,0,0,   //D2 R,G,B
                       0,0,0,   //D3 R,G,B
                       0,0,0,   //D4 R,G,B
                       0,0,0,   //D5 R,G,B
                       0,0,0,  //D6 R,G,B
                       0,400,0,   //D7 R,G,B
                       0,400,0,   //D8 R,G,B
                       0,0,0,   //D9 R,G,B
                       0,0,0,   //D10 R,G,B
                       0,0,0,   //D11 R,G,B
                       0,0,0,   //D12 R,G,B
                       0,0,0,   //D13 R,G,B
                       0,0,0,   //D14 R,G,B
                       0,0,0,   //D15 R,G,B
    };

    int i;

    //while(1)
    //{
    for(i=0;i<30;i++)//use i<30 to control frame period
    {
        WriteGSData_Poker(GSdataL1_1);//Write Line2 GSdata
        Switch_Line(1);//Enable Line2

        WriteGSData_Poker(GSdataL2_1);
        Switch_Line(2);

        WriteGSData_Poker(GSdataL3_1);
        Switch_Line(3);


        WriteGSData_Poker(GSdataL4_1);
        Switch_Line(4);


        WriteGSData_Poker(GSdataL5_1);
        Switch_Line(5);


        WriteGSData_Poker(GSdataL6_1);
        Switch_Line(6);


        WriteGSData_Poker(GSdataL7_1);
        Switch_Line(7);


        WriteGSData_Poker(GSdataL8_1);
        Switch_Line(8);


        WriteGSData_Poker(GSdataL9_1);
        Switch_Line(9);


        WriteGSData_Poker(GSdataL10_1);
        Switch_Line(10);
    }

    //}

}

void Breathing()
{

};

void Word()
{

    int GSdataL1[]={
                    0,0,0,   //D1 R,G,B
                    0,0,0,   //D2 R,G,B
                    3000,0,3000,   //D3 R,G,B
                    3000,0,3000,   //D4 R,G,B
                    3000,0,3000,   //D5 R,G,B
                    3000,0,3000,   //D6 R,G,B
                    3000,0,3000,   //D7 R,G,B
                    0,0,0,   //D0 R,G,B
                    0,0,0,   //D15 R,G,B
                    3000,0,3000,   //D8 R,G,B
                    3000,0,3000,   //D9 R,G,B
                    3000,0,3000,   //D10 R,G,B
                    3000,0,3000,   //D11 R,G,B
                    3000,0,3000,   //D12 R,G,B
                    0,0,0,   //D13 R,G,B
                    0,0,0,   //D14 R,G,B
    };

    int GSdataL2[]={
                    0,0,0,   //D1 R,G,B
                    0,0,0,   //D2 R,G,B
                    0,0,0,   //D3 R,G,B
                    0,0,0,   //D4 R,G,B
                    3000,0,3000,   //D5 R,G,B
                    0,0,0,   //D6 R,G,B
                    0,0,0,   //D7 R,G,B
                    0,0,0,   //D0 R,G,B
                    0,0,0,   //D15 R,G,B
                    0,0,0,   //D8 R,G,B
                    0,0,0,   //D9 R,G,B
                    3000,0,3000,   //D10 R,G,B
                    0,0,0,   //D11 R,G,B
                    0,0,0,   //D12 R,G,B
                    0,0,0,   //D13 R,G,B
                    0,0,0,   //D14 R,G,B
    };

    int GSdataL3[]={
                    0,0,0,   //D1 R,G,B
                    0,0,0,   //D2 R,G,B
                    0,0,0,   //D3 R,G,B
                    0,0,0,   //D4 R,G,B
                    3000,0,3000,   //D5 R,G,B
                    0,0,0,   //D6 R,G,B
                    0,0,0,   //D7 R,G,B
                    0,0,0,   //D0 R,G,B
                    0,0,0,   //D15 R,G,B
                    0,0,0,   //D8 R,G,B
                    0,0,0,   //D9 R,G,B
                    3000,0,3000,   //D10 R,G,B
                    0,0,0,   //D11 R,G,B
                    0,0,0,   //D12 R,G,B
                    0,0,0,   //D13 R,G,B
                    0,0,0,   //D14 R,G,B
    };

    int GSdataL4[]={
                    0,0,0,   //D1 R,G,B
                    0,0,0,   //D2 R,G,B
                    0,0,0,   //D3 R,G,B
                    0,0,0,   //D4 R,G,B
                    3000,0,3000,   //D5 R,G,B
                    0,0,0,   //D6 R,G,B
                    0,0,0,   //D7 R,G,B
                    0,0,0,   //D0 R,G,B
                    0,0,0,   //D15 R,G,B
                    0,0,0,   //D8 R,G,B
                    0,0,0,   //D9 R,G,B
                    3000,0,3000,   //D10 R,G,B
                    0,0,0,   //D11 R,G,B
                    0,0,0,   //D12 R,G,B
                    0,0,0,   //D13 R,G,B
                    0,0,0,   //D14 R,G,B
    };

    int GSdataL5[]={
                    0,0,0,   //D1 R,G,B
                    0,0,0,   //D2 R,G,B
                    0,0,0,   //D3 R,G,B
                    0,0,0,   //D4 R,G,B
                    3000,0,3000,   //D5 R,G,B
                    0,0,0,   //D6 R,G,B
                    0,0,0,   //D7 R,G,B
                    0,0,0,   //D0 R,G,B
                    0,0,0,   //D15 R,G,B
                    3000,0,3000,   //D8 R,G,B
                    3000,0,3000,   //D9 R,G,B
                    3000,0,3000,   //D10 R,G,B
                    3000,0,3000,   //D11 R,G,B
                    3000,0,3000,   //D12 R,G,B
                    0,0,0,   //D13 R,G,B
                    0,0,0,   //D14 R,G,B
    };

    int GSdataL6[]={
                    0,0,0,   //D0 R,G,B
                    3000,0,0,   //D2 R,G,B
                    0,0,0,   //D3 R,G,B
                    0,0,0,   //D4 R,G,B
                    0,0,0,   //D5 R,G,B
                    0,0,0,   //D1 R,G,B
                    0,3000,0,   //D6 R,G,B
                    0,3000,0,   //D7 R,G,B
                    0,3000,0,   //D8 R,G,B
                    0,3000,0,   //D9 R,G,B
                    0,0,0,   //D15 R,G,B
                    0,0,3000,   //D10 R,G,B
                    0,0,3000,   //D11 R,G,B
                    0,0,3000,   //D12 R,G,B
                    0,0,0,   //D13 R,G,B
                    0,0,0,   //D14 R,G,B

    };

    int GSdataL7[]={
                    0,0,0,   //D1 R,G,B
                    3000,0,0,   //D2 R,G,B
                    0,0,0,   //D3 R,G,B
                    0,0,0,   //D4 R,G,B
                    0,0,0,   //D5 R,G,B
                    0,0,0,   //D0 R,G,B
                    0,3000,0,   //D6 R,G,B
                    0,0,0,   //D7 R,G,B
                    0,0,0,   //D8 R,G,B
                    0,0,0,   //D9 R,G,B
                    0,0,0,   //D15 R,G,B
                    0,0,3000,   //D10 R,G,B
                    0,0,0,   //D11 R,G,B
                    0,0,0,   //D12 R,G,B
                    0,0,3000,   //D13 R,G,B
                    0,0,0,   //D14 R,G,B
    };

    int GSdataL8[]={
                    0,0,0,   //D1 R,G,B
                    3000,0,0,   //D2 R,G,B
                    0,0,0,   //D3 R,G,B
                    0,0,0,   //D4 R,G,B
                    0,0,0,   //D5 R,G,B
                    0,0,0,   //D0 R,G,B
                    0,3000,0,   //D6 R,G,B
                    0,3000,0,   //D7 R,G,B
                    0,3000,0,   //D8 R,G,B
                    0,3000,0,   //D9 R,G,B
                    0,0,0,   //D15 R,G,
                    0,0,3000,   //D10 R,G,B
                    0,0,0,   //D11 R,G,B
                    0,0,0,   //D12 R,G,B
                    0,0,3000,   //D13 R,G,B
                    0,0,0,   //D14 R,G,BB
    };

    int GSdataL9[]={
                    0,0,0,   //D1 R,G,B
                    3000,0,0,   //D2 R,G,B
                    0,0,0,   //D3 R,G,B
                    0,0,0,   //D4 R,G,B
                    0,0,0,   //D5 R,G,B
                    0,0,0,   //D0 R,G,B
                    0,3000,0,   //D6 R,G,B
                    0,0,0,   //D7 R,G,B
                    0,0,0,   //D8 R,G,B
                    0,0,0,   //D9 R,G,B
                    0,0,0,   //D15 R,G,B
                    0,0,3000,   //D10 R,G,B
                    0,0,0,   //D11 R,G,B
                    0,0,0,   //D12 R,G,B
                    0,0,3000,   //D13 R,G,B
                    0,0,0,   //D14 R,G,B
    };

    int GSdataL10[]={
                     0,0,0,   //D1 R,G,B
                     3000,0,0,   //D2 R,G,B
                     3000,0,0,   //D3 R,G,B
                     3000,0,0,   //D4 R,G,B
                     3000,0,0,   //D5 R,G,B
                     0,0,0,   //D0 R,G,B
                     0,3000,0,   //D6 R,G,B
                     0,3000,0,   //D7 R,G,B
                     0,3000,0,   //D8 R,G,B
                     0,3000,0,   //D9 R,G,B
                     0,0,0,   //D15 R,G,B
                     0,0,3000,   //D10 R,G,B
                     0,0,3000,   //D11 R,G,B
                     0,0,3000,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
    };

    int i;

    //while(1)
    //{
    for(i=0;i<10;i++)
    {
        WriteGSData_Poker(GSdataL1);
        Switch_Line(1);

        WriteGSData_Poker(GSdataL2);
        Switch_Line(2);


        WriteGSData_Poker(GSdataL3);
        Switch_Line(3);


        WriteGSData_Poker(GSdataL4);
        Switch_Line(4);


        WriteGSData_Poker(GSdataL5);
        Switch_Line(5);


        WriteGSData_Poker(GSdataL6);
        Switch_Line(6);


        WriteGSData_Poker(GSdataL7);
        Switch_Line(7);


        WriteGSData_Poker(GSdataL8);
        Switch_Line(8);


        WriteGSData_Poker(GSdataL9);
        Switch_Line(9);


        WriteGSData_Poker(GSdataL10);
        Switch_Line(10);

    }

    //}
}

void RainBow()
{

    int GSdataL1[]={
                    255,0,0,   //D0 R,G,B
                    255,0,0,   //D1 R,G,B
                    255,0,0,   //D2 R,G,B
                    255,165,0,   //D3 R,G,B
                    255,165,0,   //D4 R,G,B
                    255,165,0,   //D5 R,G,B
                    255,255,0,   //D6 R,G,B
                    255,255,0,   //D7 R,G,B
                    255,255,0,   //D8 R,G,B
                    0,255,0,   //D9 R,G,B
                    0,255,0,   //D10 R,G,B
                    0,255,0,   //D11 R,G,B
                    0,127,255,   //D12 R,G,B
                    0,127,255,   //D13 R,G,B
                    0,127,255,   //D14 R,G,B
                    0,0,255,   //D15 R,G,B
    };

    int GSdataL2[]={
                    255,0,0,   //D1 R,G,B
                    255,0,0,   //D2 R,G,B
                    255,165,0,   //D3 R,G,B
                    255,165,0,   //D4 R,G,B
                    255,165,0,   //D5 R,G,B
                    255,255,0,   //D6 R,G,B
                    255,255,0,   //D7 R,G,B
                    255,255,0,   //D8 R,G,B
                    0,255,0,   //D9 R,G,B
                    0,255,0,   //D10 R,G,B
                    0,255,0,   //D11 R,G,B
                    0,127,255,   //D12 R,G,B
                    0,127,255,   //D13 R,G,B
                    0,127,255,   //D14 R,G,B
                    0,0,255,   //D15 R,G,B
                    0,0,255,   //D0 R,G,B
    };

    int GSdataL3[]={
                    255,0,0,   //D2 R,G,B
                    255,165,0,   //D3 R,G,B
                    255,165,0,   //D4 R,G,B
                    255,165,0,   //D5 R,G,B
                    255,255,0,   //D6 R,G,B
                    255,255,0,   //D7 R,G,B
                    255,255,0,   //D8 R,G,B
                    0,255,0,   //D9 R,G,B
                    0,255,0,   //D10 R,G,B
                    0,255,0,   //D11 R,G,B
                    0,127,255,   //D12 R,G,B
                    0,127,255,   //D13 R,G,B
                    0,127,255,   //D14 R,G,B
                    0,0,255,   //D15 R,G,B
                    0,0,255,   //D0 R,G,B
                    0,0,255,   //D1 R,G,B
    };

    int GSdataL4[]={
                    255,165,0,   //D3 R,G,B
                    255,165,0,   //D4 R,G,B
                    255,165,0,   //D5 R,G,B
                    255,255,0,   //D6 R,G,B
                    255,255,0,   //D7 R,G,B
                    255,255,0,   //D8 R,G,B
                    0,255,0,   //D9 R,G,B
                    0,255,0,   //D10 R,G,B
                    0,255,0,   //D11 R,G,B
                    0,127,255,   //D12 R,G,B
                    0,127,255,   //D13 R,G,B
                    0,127,255,   //D14 R,G,B
                    0,0,255,   //D15 R,G,B
                    0,0,255,   //D0 R,G,B
                    0,0,255,   //D1 R,G,B
                    139,0,255,   //D2 R,G,B
    };

    int GSdataL5[]={
                    255,165,0,   //D4 R,G,B
                    255,165,0,   //D5 R,G,B
                    255,255,0,   //D6 R,G,B
                    255,255,0,   //D7 R,G,B
                    255,255,0,   //D8 R,G,B
                    0,255,0,   //D9 R,G,B
                    0,255,0,   //D10 R,G,B
                    0,255,0,   //D11 R,G,B
                    0,127,255,   //D12 R,G,B
                    0,127,255,   //D13 R,G,B
                    0,127,255,   //D14 R,G,B
                    0,0,255,   //D15 R,G,B
                    0,0,255,   //D0 R,G,B
                    0,0,255,   //D1 R,G,B
                    139,0,255,   //D2 R,G,B
                    139,0,255,   //D3 R,G,B
    };

    int GSdataL6[]={
                    255,165,0,   //D5 R,G,B
                    255,255,0,   //D6 R,G,B
                    255,255,0,   //D7 R,G,B
                    255,255,0,   //D8 R,G,B
                    0,255,0,   //D9 R,G,B
                    0,255,0,   //D10 R,G,B
                    0,255,0,   //D11 R,G,B
                    0,127,255,   //D12 R,G,B
                    0,127,255,   //D13 R,G,B
                    0,127,255,   //D14 R,G,B
                    0,0,255,   //D15 R,G,B
                    0,0,255,   //D0 R,G,B
                    0,0,255,   //D1 R,G,B
                    139,0,255,   //D2 R,G,B
                    139,0,255,   //D3 R,G,B
                    139,0,255,   //D4 R,G,B
    };

    int GSdataL7[]={
                    255,255,0,   //D6 R,G,B
                    255,255,0,   //D7 R,G,B
                    255,255,0,   //D8 R,G,B
                    0,255,0,   //D9 R,G,B
                    0,255,0,   //D10 R,G,B
                    0,255,0,   //D11 R,G,B
                    0,127,255,   //D12 R,G,B
                    0,127,255,   //D13 R,G,B
                    0,127,255,   //D14 R,G,B
                    0,0,255,   //D15 R,G,B
                    0,0,255,   //D0 R,G,B
                    0,0,255,   //D1 R,G,B
                    139,0,255,   //D2 R,G,B
                    139,0,255,   //D3 R,G,B
                    139,0,255,   //D4 R,G,B
                    255,0,0,   //D5 R,G,B
    };

    int GSdataL8[]={
                    255,255,0,   //D7 R,G,B
                    255,255,0,   //D8 R,G,B
                    0,255,0,   //D9 R,G,B
                    0,255,0,   //D10 R,G,B
                    0,255,0,   //D11 R,G,B
                    0,127,255,   //D12 R,G,B
                    0,127,255,   //D13 R,G,B
                    0,127,255,   //D14 R,G,B
                    0,0,255,   //D15 R,G,B
                    0,0,255,   //D0 R,G,B
                    0,0,255,   //D1 R,G,B
                    139,0,255,   //D2 R,G,B
                    139,0,255,   //D3 R,G,B
                    139,0,255,   //D4 R,G,B
                    255,0,0,   //D5 R,G,B
                    255,0,0,   //D6 R,G,B
    };

    int GSdataL9[]={
                    255,255,0,   //D8 R,G,B
                    0,255,0,   //D9 R,G,B
                    0,255,0,   //D10 R,G,B
                    0,255,0,   //D11 R,G,B
                    0,127,255,   //D12 R,G,B
                    0,127,255,   //D13 R,G,B
                    0,127,255,   //D14 R,G,B
                    0,0,255,   //D15 R,G,B
                    0,0,255,   //D0 R,G,B
                    0,0,255,   //D1 R,G,B
                    139,0,255,   //D2 R,G,B
                    139,0,255,   //D3 R,G,B
                    139,0,255,   //D4 R,G,B
                    255,0,0,   //D5 R,G,B
                    255,0,0,   //D6 R,G,B
                    255,0,0,   //D7 R,G,B
    };

    int GSdataL10[]={
                     0,255,0,   //D9 R,G,B
                     0,255,0,   //D10 R,G,B
                     0,255,0,   //D11 R,G,B
                     0,127,255,   //D12 R,G,B
                     0,127,255,   //D13 R,G,B
                     0,127,255,   //D14 R,G,B
                     0,0,255,   //D15 R,G,B
                     0,0,255,   //D0 R,G,B
                     0,0,255,   //D1 R,G,B
                     139,0,255,   //D2 R,G,B
                     139,0,255,   //D3 R,G,B
                     139,0,255,   //D4 R,G,B
                     255,0,0,   //D5 R,G,B
                     255,0,0,   //D6 R,G,B
                     255,0,0,   //D7 R,G,B
                     255,165,0,   //D8 R,G,B
    };

    int i,j;

    //while(1)
    //{
    for(j=10;j>=1;j--)
    {
        for(i=0;i<12;i++)
        {
            WriteGSData_Poker(GSdataL1);
            Switch_Line(10-(j%10));

            WriteGSData_Poker(GSdataL2);
            Switch_Line(10-(j+1)%10);

            WriteGSData_Poker(GSdataL3);
            Switch_Line(10-(j+2)%10);

            WriteGSData_Poker(GSdataL4);
            Switch_Line(10-(j+3)%10);

            WriteGSData_Poker(GSdataL5);
            Switch_Line(10-(j+4)%10);

            WriteGSData_Poker(GSdataL6);
            Switch_Line(10-(j+5)%10);

            WriteGSData_Poker(GSdataL7);
            Switch_Line(10-(j+6)%10);

            WriteGSData_Poker(GSdataL8);
            Switch_Line(10-(j+7)%10);

            WriteGSData_Poker(GSdataL9);
            Switch_Line(10-(j+8)%10);

            WriteGSData_Poker(GSdataL10);
            Switch_Line(10-(j+9)%10);

        }
    }
    //}

}

void Pulse()
{
    int Frame0_L1[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,0,0,   //D6 R,G,B
                     0,0,0,   //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame1_L1[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,0,0,   //D6 R,G,B
                     0,0,0,   //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame1_L9[]={
                     255,0,0,   //D0 R,G,B
                     255,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,0,0,   //D6 R,G,B
                     0,0,0,   //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame1_L10[]={
                      255,0,0,   //D0 R,G,B
                      255,0,0,   //D1 R,G,B
                      0,0,0,   //D2 R,G,B
                      0,0,0,   //D3 R,G,B
                      0,0,0,   //D4 R,G,B
                      0,0,0,   //D5 R,G,B
                      0,0,0,   //D6 R,G,B
                      0,0,0,   //D7 R,G,B
                      0,0,0,   //D8 R,G,B
                      0,0,0,   //D9 R,G,B
                      0,0,0,   //D10 R,G,B
                      0,0,0,   //D11 R,G,B
                      0,0,0,   //D12 R,G,B
                      0,0,0,   //D13 R,G,B
                      0,0,0,   //D14 R,G,B
                      0,0,0,   //D15 R,G,B
    };

    int Frame2_L1[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,0,0,   //D6 R,G,B
                     0,0,0,   //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame2_L7[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     255,150,0,   //D2 R,G,B
                     255,150,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,0,0,   //D6 R,G,B
                     0,0,0,   //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame2_L8[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     255,150,0,   //D2 R,G,B
                     255,150,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,0,0,   //D6 R,G,B
                     0,0,0,   //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame2_L9[]={
                     255,0,0,   //D0 R,G,B
                     255,0,0,   //D1 R,G,B
                     255,150,0,   //D2 R,G,B
                     255,150,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,0,0,   //D6 R,G,B
                     0,0,0,   //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame2_L10[]={
                      255,0,0,   //D0 R,G,B
                      255,0,0,   //D1 R,G,B
                      255,150,0,   //D2 R,G,B
                      255,150,0,   //D3 R,G,B
                      0,0,0,   //D4 R,G,B
                      0,0,0,   //D5 R,G,B
                      0,0,0,   //D6 R,G,B
                      0,0,0,   //D7 R,G,B
                      0,0,0,   //D8 R,G,B
                      0,0,0,   //D9 R,G,B
                      0,0,0,   //D10 R,G,B
                      0,0,0,   //D11 R,G,B
                      0,0,0,   //D12 R,G,B
                      0,0,0,   //D13 R,G,B
                      0,0,0,   //D14 R,G,B
                      0,0,0,   //D15 R,G,B
    };

    int Frame3_L1[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,0,0,   //D6 R,G,B
                     0,0,0,   //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame3_L5[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,0,0,   //D6 R,G,B
                     0,0,0,   //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame3_L6[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,0,0,   //D6 R,G,B
                     0,0,0,   //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame3_L7[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     255,150,0,   //D2 R,G,B
                     255,150,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,0,0,   //D6 R,G,B
                     0,0,0,   //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame3_L8[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     255,150,0,   //D2 R,G,B
                     255,150,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,0,0,   //D6 R,G,B
                     0,0,0,   //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame3_L9[]={
                     255,0,0,   //D0 R,G,B
                     255,0,0,   //D1 R,G,B
                     255,150,0,   //D2 R,G,B
                     255,150,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,0,0,   //D6 R,G,B
                     0,0,0,   //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame3_L10[]={
                      255,0,0,   //D0 R,G,B
                      255,0,0,   //D1 R,G,B
                      255,150,0,   //D2 R,G,B
                      255,150,0,   //D3 R,G,B
                      255,255,0,   //D4 R,G,B
                      255,255,0,   //D5 R,G,B
                      0,0,0,   //D6 R,G,B
                      0,0,0,   //D7 R,G,B
                      0,0,0,   //D8 R,G,B
                      0,0,0,   //D9 R,G,B
                      0,0,0,   //D10 R,G,B
                      0,0,0,   //D11 R,G,B
                      0,0,0,   //D12 R,G,B
                      0,0,0,   //D13 R,G,B
                      0,0,0,   //D14 R,G,B
                      0,0,0,   //D15 R,G,B
    };

    int Frame4_L1[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,0,0,   //D6 R,G,B
                     0,0,0,   //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame4_L2[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,0,0,   //D6 R,G,B
                     0,0,0,   //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame4_L3[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame4_L4[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame4_L5[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame4_L6[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame4_L7[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     255,150,0,   //D2 R,G,B
                     255,150,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame4_L8[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     255,150,0,   //D2 R,G,B
                     255,150,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame4_L9[]={
                     255,0,0,   //D0 R,G,B
                     255,0,0,   //D1 R,G,B
                     255,150,0,   //D2 R,G,B
                     255,150,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame4_L10[]={
                      255,0,0,   //D0 R,G,B
                      255,0,0,   //D1 R,G,B
                      255,150,0,   //D2 R,G,B
                      255,150,0,   //D3 R,G,B
                      255,255,0,   //D4 R,G,B
                      255,255,0,   //D5 R,G,B
                      0,255,0, //D6 R,G,B
                      0,255,0, //D7 R,G,B
                      0,0,0,   //D8 R,G,B
                      0,0,0,   //D9 R,G,B
                      0,0,0,   //D10 R,G,B
                      0,0,0,   //D11 R,G,B
                      0,0,0,   //D12 R,G,B
                      0,0,0,   //D13 R,G,B
                      0,0,0,   //D14 R,G,B
                      0,0,0,   //D15 R,G,B
    };

    int Frame5_L1[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,0,0,   //D6 R,G,B
                     0,0,0,   //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame5_L2[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,0,0,   //D6 R,G,B
                     0,0,0,   //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame5_L3[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame5_L4[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame5_L5[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame5_L6[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame5_L7[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     255,150,0,   //D2 R,G,B
                     255,150,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame5_L8[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     255,150,0,   //D2 R,G,B
                     255,150,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame5_L9[]={
                     255,0,0,   //D0 R,G,B
                     255,0,0,   //D1 R,G,B
                     255,150,0,   //D2 R,G,B
                     255,150,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame5_L10[]={
                      255,0,0,   //D0 R,G,B
                      255,0,0,   //D1 R,G,B
                      255,150,0,   //D2 R,G,B
                      255,150,0,   //D3 R,G,B
                      255,255,0,   //D4 R,G,B
                      255,255,0,   //D5 R,G,B
                      0,255,0, //D6 R,G,B
                      0,255,0, //D7 R,G,B
                      0,176,240,//D8 R,G,B
                      0,176,240,//D9 R,G,B
                      0,0,0,   //D10 R,G,B
                      0,0,0,   //D11 R,G,B
                      0,0,0,   //D12 R,G,B
                      0,0,0,   //D13 R,G,B
                      0,0,0,   //D14 R,G,B
                      0,0,0,   //D15 R,G,B
    };

    int Frame6_L1[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,0,0,   //D6 R,G,B
                     0,0,0,   //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame6_L2[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,0,0,   //D6 R,G,B
                     0,0,0,   //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame6_L3[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame6_L4[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame6_L5[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,255,   //D10 R,G,B
                     0,0,255,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame6_L6[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,255,   //D10 R,G,B
                     0,0,255,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame6_L7[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     255,150,0,   //D2 R,G,B
                     255,150,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,255,   //D10 R,G,B
                     0,0,255,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame6_L8[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     255,150,0,   //D2 R,G,B
                     255,150,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,255,   //D10 R,G,B
                     0,0,255,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame6_L9[]={
                     255,0,0,   //D0 R,G,B
                     255,0,0,   //D1 R,G,B
                     255,150,0,   //D2 R,G,B
                     255,150,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,255,   //D10 R,G,B
                     0,0,255,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame6_L10[]={
                      255,0,0,   //D0 R,G,B
                      255,0,0,   //D1 R,G,B
                      255,150,0,   //D2 R,G,B
                      255,150,0,   //D3 R,G,B
                      255,255,0,   //D4 R,G,B
                      255,255,0,   //D5 R,G,B
                      0,255,0, //D6 R,G,B
                      0,255,0, //D7 R,G,B
                      0,176,240,//D8 R,G,B
                      0,176,240,//D9 R,G,B
                      0,0,255,   //D10 R,G,B
                      0,0,255,   //D11 R,G,B
                      0,0,0,   //D12 R,G,B
                      0,0,0,   //D13 R,G,B
                      0,0,0,   //D14 R,G,B
                      0,0,0,   //D15 R,G,B
    };

    int Frame7_L1[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,0,0,   //D6 R,G,B
                     0,0,0,   //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame7_L2[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,0,0,   //D6 R,G,B
                     0,0,0,   //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame7_L3[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame7_L4[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame7_L5[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,255,   //D10 R,G,B
                     0,0,255,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame7_L6[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,255,   //D10 R,G,B
                     0,0,255,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame7_L7[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     255,150,0,   //D2 R,G,B
                     255,150,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,255,   //D10 R,G,B
                     0,0,255,   //D11 R,G,B
                     112,48,160,   //D12 R,G,B
                     112,48,160,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame7_L8[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     255,150,0,   //D2 R,G,B
                     255,150,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,255,   //D10 R,G,B
                     0,0,255,   //D11 R,G,B
                     112,48,160,   //D12 R,G,B
                     112,48,160,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame7_L9[]={
                     255,0,0,   //D0 R,G,B
                     255,0,0,   //D1 R,G,B
                     255,150,0,   //D2 R,G,B
                     255,150,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,255,   //D10 R,G,B
                     0,0,255,   //D11 R,G,B
                     112,48,160,   //D12 R,G,B
                     112,48,160,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame7_L10[]={
                      255,0,0,   //D0 R,G,B
                      255,0,0,   //D1 R,G,B
                      255,150,0,   //D2 R,G,B
                      255,150,0,   //D3 R,G,B
                      255,255,0,   //D4 R,G,B
                      255,255,0,   //D5 R,G,B
                      0,255,0, //D6 R,G,B
                      0,255,0, //D7 R,G,B
                      0,176,240,//D8 R,G,B
                      0,176,240,//D9 R,G,B
                      0,0,255,   //D10 R,G,B
                      0,0,255,   //D11 R,G,B
                      112,48,160,   //D12 R,G,B
                      112,48,160,   //D13 R,G,B
                      0,0,0,   //D14 R,G,B
                      0,0,0,   //D15 R,G,B
    };

    int Frame8_L1[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,0,0,   //D6 R,G,B
                     0,0,0,   //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame8_L2[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,0,0,   //D6 R,G,B
                     0,0,0,   //D7 R,G,B
                     0,0,0,   //D8 R,G,B
                     0,0,0,   //D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame8_L3[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame8_L4[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     0,0,0,   //D4 R,G,B
                     0,0,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,0,   //D10 R,G,B
                     0,0,0,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame8_L5[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,255,   //D10 R,G,B
                     0,0,255,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame8_L6[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     0,0,0,   //D2 R,G,B
                     0,0,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,255,   //D10 R,G,B
                     0,0,255,   //D11 R,G,B
                     0,0,0,   //D12 R,G,B
                     0,0,0,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame8_L7[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     255,150,0,   //D2 R,G,B
                     255,150,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,255,   //D10 R,G,B
                     0,0,255,   //D11 R,G,B
                     112,48,160,   //D12 R,G,B
                     112,48,160,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame8_L8[]={
                     0,0,0,   //D0 R,G,B
                     0,0,0,   //D1 R,G,B
                     255,150,0,   //D2 R,G,B
                     255,150,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,255,   //D10 R,G,B
                     0,0,255,   //D11 R,G,B
                     112,48,160,   //D12 R,G,B
                     112,48,160,   //D13 R,G,B
                     0,0,0,   //D14 R,G,B
                     0,0,0,   //D15 R,G,B
    };

    int Frame8_L9[]={
                     255,0,0,   //D0 R,G,B
                     255,0,0,   //D1 R,G,B
                     255,150,0,   //D2 R,G,B
                     255,150,0,   //D3 R,G,B
                     255,255,0,   //D4 R,G,B
                     255,255,0,   //D5 R,G,B
                     0,255,0, //D6 R,G,B
                     0,255,0, //D7 R,G,B
                     0,176,240,//D8 R,G,B
                     0,176,240,//D9 R,G,B
                     0,0,255,   //D10 R,G,B
                     0,0,255,   //D11 R,G,B
                     112,48,160,   //D12 R,G,B
                     112,48,160,   //D13 R,G,B
                     255,102,255,//D14 R,G,B
                     255,102,255,//D15 R,G,B
    };

    int Frame8_L10[]={
                      255,0,0,   //D0 R,G,B
                      255,0,0,   //D1 R,G,B
                      255,150,0,   //D2 R,G,B
                      255,150,0,   //D3 R,G,B
                      255,255,0,   //D4 R,G,B
                      255,255,0,   //D5 R,G,B
                      0,255,0, //D6 R,G,B
                      0,255,0, //D7 R,G,B
                      0,176,240,//D8 R,G,B
                      0,176,240,//D9 R,G,B
                      0,0,255,   //D10 R,G,B
                      0,0,255,   //D11 R,G,B
                      112,48,160,   //D12 R,G,B
                      112,48,160,   //D13 R,G,B
                      255,102,255,//D14 R,G,B
                      255,102,255,//D15 R,G,B
    };

    int i;

    for(i=0;i<15;i++)
    {
        WriteGSData_Poker(Frame0_L1);
        Switch_Line(1);

        WriteGSData_Poker(Frame0_L1);
        Switch_Line(2);


        WriteGSData_Poker(Frame0_L1);
        Switch_Line(3);


        WriteGSData_Poker(Frame0_L1);
        Switch_Line(4);


        WriteGSData_Poker(Frame0_L1);
        Switch_Line(5);


        WriteGSData_Poker(Frame0_L1);
        Switch_Line(6);


        WriteGSData_Poker(Frame0_L1);
        Switch_Line(7);


        WriteGSData_Poker(Frame0_L1);
        Switch_Line(8);


        WriteGSData_Poker(Frame0_L1);
        Switch_Line(9);


        WriteGSData_Poker(Frame0_L1);
        Switch_Line(10);

    }

    for(i=0;i<15;i++)
    {
        WriteGSData_Poker(Frame1_L1);
        Switch_Line(1);

        WriteGSData_Poker(Frame1_L1);
        Switch_Line(2);


        WriteGSData_Poker(Frame1_L1);
        Switch_Line(3);


        WriteGSData_Poker(Frame1_L1);
        Switch_Line(4);


        WriteGSData_Poker(Frame1_L1);
        Switch_Line(5);


        WriteGSData_Poker(Frame1_L1);
        Switch_Line(6);


        WriteGSData_Poker(Frame1_L1);
        Switch_Line(7);


        WriteGSData_Poker(Frame1_L1);
        Switch_Line(8);


        WriteGSData_Poker(Frame1_L9);
        Switch_Line(9);


        WriteGSData_Poker(Frame1_L10);
        Switch_Line(10);

    }

    for(i=0;i<15;i++)
    {
        WriteGSData_Poker(Frame2_L1);
        Switch_Line(1);

        WriteGSData_Poker(Frame2_L1);
        Switch_Line(2);


        WriteGSData_Poker(Frame2_L1);
        Switch_Line(3);


        WriteGSData_Poker(Frame2_L1);
        Switch_Line(4);


        WriteGSData_Poker(Frame2_L1);
        Switch_Line(5);


        WriteGSData_Poker(Frame2_L1);
        Switch_Line(6);


        WriteGSData_Poker(Frame2_L7);
        Switch_Line(7);


        WriteGSData_Poker(Frame2_L8);
        Switch_Line(8);


        WriteGSData_Poker(Frame2_L9);
        Switch_Line(9);


        WriteGSData_Poker(Frame2_L10);
        Switch_Line(10);

    }

    for(i=0;i<15;i++)
    {
        WriteGSData_Poker(Frame3_L1);
        Switch_Line(1);

        WriteGSData_Poker(Frame3_L1);
        Switch_Line(2);


        WriteGSData_Poker(Frame3_L1);
        Switch_Line(3);


        WriteGSData_Poker(Frame3_L1);
        Switch_Line(4);


        WriteGSData_Poker(Frame3_L5);
        Switch_Line(5);


        WriteGSData_Poker(Frame3_L6);
        Switch_Line(6);


        WriteGSData_Poker(Frame3_L7);
        Switch_Line(7);


        WriteGSData_Poker(Frame3_L8);
        Switch_Line(8);


        WriteGSData_Poker(Frame3_L9);
        Switch_Line(9);


        WriteGSData_Poker(Frame3_L10);
        Switch_Line(10);

    }

    for(i=0;i<15;i++)
    {
        WriteGSData_Poker(Frame4_L1);
        Switch_Line(1);

        WriteGSData_Poker(Frame4_L2);
        Switch_Line(2);


        WriteGSData_Poker(Frame4_L3);
        Switch_Line(3);


        WriteGSData_Poker(Frame4_L4);
        Switch_Line(4);


        WriteGSData_Poker(Frame4_L5);
        Switch_Line(5);


        WriteGSData_Poker(Frame4_L6);
        Switch_Line(6);


        WriteGSData_Poker(Frame4_L7);
        Switch_Line(7);


        WriteGSData_Poker(Frame4_L8);
        Switch_Line(8);


        WriteGSData_Poker(Frame4_L9);
        Switch_Line(9);


        WriteGSData_Poker(Frame4_L10);
        Switch_Line(10);

    }

    for(i=0;i<15;i++)
    {
        WriteGSData_Poker(Frame5_L1);
        Switch_Line(1);

        WriteGSData_Poker(Frame5_L2);
        Switch_Line(2);


        WriteGSData_Poker(Frame5_L3);
        Switch_Line(3);


        WriteGSData_Poker(Frame5_L4);
        Switch_Line(4);


        WriteGSData_Poker(Frame5_L5);
        Switch_Line(5);


        WriteGSData_Poker(Frame5_L6);
        Switch_Line(6);


        WriteGSData_Poker(Frame5_L7);
        Switch_Line(7);


        WriteGSData_Poker(Frame5_L8);
        Switch_Line(8);


        WriteGSData_Poker(Frame5_L9);
        Switch_Line(9);


        WriteGSData_Poker(Frame5_L10);
        Switch_Line(10);

    }

    for(i=0;i<15;i++)
    {
        WriteGSData_Poker(Frame6_L1);
        Switch_Line(1);

        WriteGSData_Poker(Frame6_L2);
        Switch_Line(2);


        WriteGSData_Poker(Frame6_L3);
        Switch_Line(3);


        WriteGSData_Poker(Frame6_L4);
        Switch_Line(4);


        WriteGSData_Poker(Frame6_L5);
        Switch_Line(5);


        WriteGSData_Poker(Frame6_L6);
        Switch_Line(6);


        WriteGSData_Poker(Frame6_L7);
        Switch_Line(7);


        WriteGSData_Poker(Frame6_L8);
        Switch_Line(8);


        WriteGSData_Poker(Frame6_L9);
        Switch_Line(9);


        WriteGSData_Poker(Frame6_L10);
        Switch_Line(10);

    }

    for(i=0;i<15;i++)
    {
        WriteGSData_Poker(Frame7_L1);
        Switch_Line(1);

        WriteGSData_Poker(Frame7_L2);
        Switch_Line(2);


        WriteGSData_Poker(Frame7_L3);
        Switch_Line(3);


        WriteGSData_Poker(Frame7_L4);
        Switch_Line(4);


        WriteGSData_Poker(Frame7_L5);
        Switch_Line(5);


        WriteGSData_Poker(Frame7_L6);
        Switch_Line(6);


        WriteGSData_Poker(Frame7_L7);
        Switch_Line(7);


        WriteGSData_Poker(Frame7_L8);
        Switch_Line(8);


        WriteGSData_Poker(Frame7_L9);
        Switch_Line(9);


        WriteGSData_Poker(Frame7_L10);
        Switch_Line(10);

    }

    for(i=0;i<15;i++)
    {
        WriteGSData_Poker(Frame8_L1);
        Switch_Line(1);

        WriteGSData_Poker(Frame8_L2);
        Switch_Line(2);


        WriteGSData_Poker(Frame8_L3);
        Switch_Line(3);


        WriteGSData_Poker(Frame8_L4);
        Switch_Line(4);


        WriteGSData_Poker(Frame8_L5);
        Switch_Line(5);


        WriteGSData_Poker(Frame8_L6);
        Switch_Line(6);


        WriteGSData_Poker(Frame8_L7);
        Switch_Line(7);


        WriteGSData_Poker(Frame8_L8);
        Switch_Line(8);


        WriteGSData_Poker(Frame8_L9);
        Switch_Line(9);


        WriteGSData_Poker(Frame8_L10);
        Switch_Line(10);

    }

    for(i=0;i<15;i++)
    {
        WriteGSData_Poker(Frame7_L1);
        Switch_Line(1);

        WriteGSData_Poker(Frame7_L2);
        Switch_Line(2);


        WriteGSData_Poker(Frame7_L3);
        Switch_Line(3);


        WriteGSData_Poker(Frame7_L4);
        Switch_Line(4);


        WriteGSData_Poker(Frame7_L5);
        Switch_Line(5);


        WriteGSData_Poker(Frame7_L6);
        Switch_Line(6);


        WriteGSData_Poker(Frame7_L7);
        Switch_Line(7);


        WriteGSData_Poker(Frame7_L8);
        Switch_Line(8);


        WriteGSData_Poker(Frame7_L9);
        Switch_Line(9);


        WriteGSData_Poker(Frame7_L10);
        Switch_Line(10);

    }

    for(i=0;i<15;i++)
    {
        WriteGSData_Poker(Frame6_L1);
        Switch_Line(1);

        WriteGSData_Poker(Frame6_L2);
        Switch_Line(2);


        WriteGSData_Poker(Frame6_L3);
        Switch_Line(3);


        WriteGSData_Poker(Frame6_L4);
        Switch_Line(4);


        WriteGSData_Poker(Frame6_L5);
        Switch_Line(5);


        WriteGSData_Poker(Frame6_L6);
        Switch_Line(6);


        WriteGSData_Poker(Frame6_L7);
        Switch_Line(7);


        WriteGSData_Poker(Frame6_L8);
        Switch_Line(8);


        WriteGSData_Poker(Frame6_L9);
        Switch_Line(9);


        WriteGSData_Poker(Frame6_L10);
        Switch_Line(10);

    }

    for(i=0;i<15;i++)
    {
        WriteGSData_Poker(Frame5_L1);
        Switch_Line(1);

        WriteGSData_Poker(Frame5_L2);
        Switch_Line(2);


        WriteGSData_Poker(Frame5_L3);
        Switch_Line(3);


        WriteGSData_Poker(Frame5_L4);
        Switch_Line(4);


        WriteGSData_Poker(Frame5_L5);
        Switch_Line(5);


        WriteGSData_Poker(Frame5_L6);
        Switch_Line(6);


        WriteGSData_Poker(Frame5_L7);
        Switch_Line(7);


        WriteGSData_Poker(Frame5_L8);
        Switch_Line(8);


        WriteGSData_Poker(Frame5_L9);
        Switch_Line(9);


        WriteGSData_Poker(Frame5_L10);
        Switch_Line(10);

    }

    for(i=0;i<15;i++)
    {
        WriteGSData_Poker(Frame4_L1);
        Switch_Line(1);

        WriteGSData_Poker(Frame4_L2);
        Switch_Line(2);


        WriteGSData_Poker(Frame4_L3);
        Switch_Line(3);


        WriteGSData_Poker(Frame4_L4);
        Switch_Line(4);


        WriteGSData_Poker(Frame4_L5);
        Switch_Line(5);


        WriteGSData_Poker(Frame4_L6);
        Switch_Line(6);


        WriteGSData_Poker(Frame4_L7);
        Switch_Line(7);


        WriteGSData_Poker(Frame4_L8);
        Switch_Line(8);


        WriteGSData_Poker(Frame4_L9);
        Switch_Line(9);


        WriteGSData_Poker(Frame4_L10);
        Switch_Line(10);

    }

    for(i=0;i<15;i++)
    {
        WriteGSData_Poker(Frame3_L1);
        Switch_Line(1);

        WriteGSData_Poker(Frame3_L1);
        Switch_Line(2);


        WriteGSData_Poker(Frame3_L1);
        Switch_Line(3);


        WriteGSData_Poker(Frame3_L1);
        Switch_Line(4);


        WriteGSData_Poker(Frame3_L5);
        Switch_Line(5);


        WriteGSData_Poker(Frame3_L6);
        Switch_Line(6);


        WriteGSData_Poker(Frame3_L7);
        Switch_Line(7);


        WriteGSData_Poker(Frame3_L8);
        Switch_Line(8);


        WriteGSData_Poker(Frame3_L9);
        Switch_Line(9);


        WriteGSData_Poker(Frame3_L10);
        Switch_Line(10);

    }

    for(i=0;i<15;i++)
    {
        WriteGSData_Poker(Frame2_L1);
        Switch_Line(1);

        WriteGSData_Poker(Frame2_L1);
        Switch_Line(2);


        WriteGSData_Poker(Frame2_L1);
        Switch_Line(3);


        WriteGSData_Poker(Frame2_L1);
        Switch_Line(4);


        WriteGSData_Poker(Frame2_L1);
        Switch_Line(5);


        WriteGSData_Poker(Frame2_L1);
        Switch_Line(6);


        WriteGSData_Poker(Frame2_L7);
        Switch_Line(7);


        WriteGSData_Poker(Frame2_L8);
        Switch_Line(8);


        WriteGSData_Poker(Frame2_L9);
        Switch_Line(9);


        WriteGSData_Poker(Frame2_L10);
        Switch_Line(10);

    }
    for(i=0;i<15;i++)
    {
        WriteGSData_Poker(Frame1_L1);
        Switch_Line(1);

        WriteGSData_Poker(Frame1_L1);
        Switch_Line(2);


        WriteGSData_Poker(Frame1_L1);
        Switch_Line(3);


        WriteGSData_Poker(Frame1_L1);
        Switch_Line(4);


        WriteGSData_Poker(Frame1_L1);
        Switch_Line(5);


        WriteGSData_Poker(Frame1_L1);
        Switch_Line(6);


        WriteGSData_Poker(Frame1_L1);
        Switch_Line(7);


        WriteGSData_Poker(Frame1_L1);
        Switch_Line(8);


        WriteGSData_Poker(Frame1_L9);
        Switch_Line(9);


        WriteGSData_Poker(Frame1_L10);
        Switch_Line(10);

    }

    for(i=0;i<15;i++)
    {
        WriteGSData_Poker(Frame0_L1);
        Switch_Line(1);

        WriteGSData_Poker(Frame0_L1);
        Switch_Line(2);


        WriteGSData_Poker(Frame0_L1);
        Switch_Line(3);


        WriteGSData_Poker(Frame0_L1);
        Switch_Line(4);


        WriteGSData_Poker(Frame0_L1);
        Switch_Line(5);


        WriteGSData_Poker(Frame0_L1);
        Switch_Line(6);


        WriteGSData_Poker(Frame0_L1);
        Switch_Line(7);


        WriteGSData_Poker(Frame0_L1);
        Switch_Line(8);


        WriteGSData_Poker(Frame0_L1);
        Switch_Line(9);


        WriteGSData_Poker(Frame0_L1);
        Switch_Line(10);

    }

}
